equals: detect if two geometries are spatially equal

## Functions

template<typename Geometry1 , typename Geometry2 >
bool | boost::geometry::equals (Geometry1 const &geometry1, Geometry2 const &geometry2)
| Checks if a geometry \1.

## Function Documentation

template<typename Geometry1 , typename Geometry2 >

bool boost::geometry::equals | ( | Geometry1 const & | geometry1,
|  | Geometry2 const & | geometry2
| ) |  |

Checks if a geometry \1.

The free function equals checks if the first geometry is spatially equal the second geometry. Spatially equal means that the same point set is included. A box can therefore be spatially equal to a ring or a polygon, or a linestring can be spatially equal to a multi-linestring or a segment. This only works theoretically, not all combinations are implemented yet.

Template Parameters:

  Geometry1 | Any type fulfilling a Geometry Concept
  Geometry2 | Any type fulfilling a Geometry Concept

Parameters:

  geometry1 | A model of the specified concept
  geometry2 | A model of the specified concept

Returns:
  Returns true if two geometries \1

Examples:
  01_point_example.cpp, 07_a_graph_route_example.cpp, and 07_b_graph_route_example.cpp.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK